<?php
/**
 * @file
 * box_token_manager drush commands.
 */

/**
 * Implements hook_drush_command().
 */
function box_token_manager_drush_command() {
  $items = [];
  $items['box-token-manager-set-refresh-token'] = [
    'description' => dt('Sets a new box refresh token.'),
    'aliases' => ['bsrt'],
    'arguments' => [
      'token' => dt('The new token to set.'),
    ],
  ];
  $items['box-token-manager-init-refresh-token'] = [
    'description' => dt('Initializes a new box refresh token.'),
    'aliases' => ['birt'],
  ];
  return $items;
}

/**
 * Sets a new box refresh token.
 */
function drush_box_token_manager_set_refresh_token($token = '') {
  $token_manager = box_token_manager_get_manager();
  $token_manager->setSystemRefreshToken($token);
  drush_log(dt('Refresh token successfully updated.'), 'ok');
}


/**
 * Initializes a new box refresh token.
 */
function drush_box_token_manager_init_refresh_token() {
  $token_manager = box_token_manager_get_manager();
  $url = $token_manager->initSystemAccessToken();
  drush_log(dt('Please visit the following URL while being logged in as the Box system user to initialize the box system token: !url', ['!url' => $url]), 'ok');
}
