<?php

/**
 * @file
 * Contains \Drupal\Core\Lock\LockBackend.
 */

namespace Drupal\Core\Lock;

/**
 * Defines a Lock backend.
 *
 * This implementation is based on the D7 lock API.
 *
 * @ingroup lock
 */
class LockBackend implements LockBackendInterface {

  /**
   * Implements Drupal\Core\Lock\LockBackedInterface::acquire().
   */
  public function acquire($name, $timeout = 30.0) {
    return lock_acquire($name, $timeout);
  }

  /**
   * Implements Drupal\Core\Lock\LockBackedInterface::lockMayBeAvailable().
   */
  public function lockMayBeAvailable($name) {
    return lock_may_be_available($name);
  }

  /**
   * Implements Drupal\Core\Lock\LockBackedInterface::wait().
   */
  public function wait($name, $delay = 30) {
    return lock_wait($name, $delay);
  }

  /**
   * Implements Drupal\Core\Lock\LockBackedInterface::release().
   */
  public function release($name) {
    return lock_release($name);
  }

  /**
   * Implements Drupal\Core\Lock\LockBackedInterface::releaseAll().
   */
  public function releaseAll($lock_id = NULL) {
    return lock_release_all($lock_id);
  }

  /**
   * Implements Drupal\Core\Lock\LockBackedInterface::getLockId().
   */
  public function getLockId() {
    return _lock_id();
  }
}
